Query the bank-specific bad actor list for a consumer
curl --request POST \
--url https://api.solo.one/v1/products/bank_specific_bad_actor_list/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"furnishing_entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"consent_id": "<string>",
"consumer_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.solo.one/v1/products/bank_specific_bad_actor_list/query"
payload = {
"network_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"furnishing_entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"consent_id": "<string>",
"consumer_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
furnishing_entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
consent_id: '<string>',
consumer_identity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.solo.one/v1/products/bank_specific_bad_actor_list/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.solo.one/v1/products/bank_specific_bad_actor_list/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'furnishing_entity_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'consent_id' => '<string>',
'consumer_identity_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.solo.one/v1/products/bank_specific_bad_actor_list/query"
payload := strings.NewReader("{\n \"network_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"furnishing_entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"consent_id\": \"<string>\",\n \"consumer_identity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.solo.one/v1/products/bank_specific_bad_actor_list/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"network_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"furnishing_entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"consent_id\": \"<string>\",\n \"consumer_identity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.solo.one/v1/products/bank_specific_bad_actor_list/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"furnishing_entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"consent_id\": \"<string>\",\n \"consumer_identity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"provenance_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_listed": true,
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"furnishing_entity_name": "<string>",
"bad_actor_reason_code": "<string>",
"bad_actor_reason_definition": "<string>",
"bad_actor_list_placement_date": "2023-12-25"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Networks to query across.
1Optional furnishing-entity scope. When omitted or empty, data from all furnishers is considered.
Consent token — system resolves identity + applies field access filtering.
Consumer identity id, as returned by entity search. Use instead of consent_id, not with it.
Response
Successful Response
Whether any bad actor listing for the consumer is visible within the queried networks.
Institution that placed the most recent listing. Null when not listed.
Name of the institution that placed the most recent listing. Null when not listed.
Reason code of the most recent listing (account_abuse, fraud or policy_violation). Null when not listed.
The documented bank policy the consumer violated. Null when not listed.
Date the consumer was placed on the list by the most recent listing. Null when not listed.
curl --request POST \
--url https://api.solo.one/v1/products/bank_specific_bad_actor_list/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"furnishing_entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"consent_id": "<string>",
"consumer_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.solo.one/v1/products/bank_specific_bad_actor_list/query"
payload = {
"network_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"furnishing_entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"consent_id": "<string>",
"consumer_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
furnishing_entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
consent_id: '<string>',
consumer_identity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.solo.one/v1/products/bank_specific_bad_actor_list/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.solo.one/v1/products/bank_specific_bad_actor_list/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'furnishing_entity_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'consent_id' => '<string>',
'consumer_identity_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.solo.one/v1/products/bank_specific_bad_actor_list/query"
payload := strings.NewReader("{\n \"network_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"furnishing_entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"consent_id\": \"<string>\",\n \"consumer_identity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.solo.one/v1/products/bank_specific_bad_actor_list/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"network_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"furnishing_entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"consent_id\": \"<string>\",\n \"consumer_identity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.solo.one/v1/products/bank_specific_bad_actor_list/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"furnishing_entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"consent_id\": \"<string>\",\n \"consumer_identity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"provenance_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_listed": true,
"furnishing_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"furnishing_entity_name": "<string>",
"bad_actor_reason_code": "<string>",
"bad_actor_reason_definition": "<string>",
"bad_actor_list_placement_date": "2023-12-25"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}